jdupes (1.21.3-1) unstable; urgency=medium

  * New upstream version 1.21.3.
  * debian/patches/010_fix-no-file-travdone.patch: removed because the upstream
    fixed the source code. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Feb 2023 06:51:57 -0300

jdupes (1.21.2-2) unstable; urgency=medium

  * debian/patches/010_fix-no-file-travdone.patch: created to fix an internal
    error when jdupes runs over a non-existent directory. Thanks to Alberto
    Garcia <berto@igalia.com> and Jody Bruchon <jody@jodybruchon.com>.
    (Closes: #1030933)
  * debian/tests/control: added a new test, specific for #1030933.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 10 Feb 2023 17:17:56 -0300

jdupes (1.21.2-1) unstable; urgency=medium

  * New upstream version 1.21.2.
  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Feb 2023 23:15:20 -0300

jdupes (1.21.1-1) unstable; urgency=medium

  * New upstream version 1.21.1.
  * debian/patches/010_fix-dedup-btrfs.patch: removed because the upstream
    released a fixed the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 02 Dec 2022 14:41:09 -0300

jdupes (1.21.0-3) unstable; urgency=medium

  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 03 Oct 2022 00:11:08 -0300

jdupes (1.21.0-2) unstable; urgency=medium

  * debian/patches/010_fix-dedup-btrfs.patch: created to fix BTRFS
    deduplication broken since upstream/1.21.0. Thanks to Calum
    McConnell <calumlikesapplepie@gmail.com>. (Closes: #1019588)
  * debian/tests/control: improved all tests making checks over the results.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 17 Sep 2022 12:53:25 -0300

jdupes (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0.
  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/copyright:
      - Changed the licensing for linux-dedupe-static.h, updated by the
        upstream.
      - Updated upstream and packaging copyright years.
  * debian/upstream/metadata: added field Donation.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 06 Sep 2022 01:26:40 -0300

jdupes (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Nov 2021 20:31:22 -0300

jdupes (1.20.1-1) unstable; urgency=medium

  * New upstream version 1.20.1.
  * debian/control: bumped Standards-Version to 4.6.0.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 28 Oct 2021 23:33:07 -0300

jdupes (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0.
  * debian/copyright:
      - Added a block for oom.c and oom.h.
      - Updated upstream and packaging copyright years.
  * debian/tests/control: removed '-n' from a test because this option was
    deprecated in jdupes 1.20.0.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 11:59:09 -0300

jdupes (1.19.1-1) unstable; urgency=medium

  * New upstream version 1.19.1.
  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/tests/control:
      - Added a new test based in package forensics-samples-files.
      - Removed option -T from a test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Nov 2020 21:20:13 -0300

jdupes (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0.
  * debian/tests/control: added a restriction to last CI test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 13 Oct 2020 00:09:03 -0300

jdupes (1.18.2-1) unstable; urgency=medium

  * New upstream version 1.18.2.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jul 2020 15:34:01 -0300

jdupes (1.18.1-1) unstable; urgency=medium

  * New upstream version 1.18.1.
  * debian/tests/control: use native 'tree' command to make two CI tests
    cross-test-friendly for Ubuntu. See more details in #946361.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 11 Jul 2020 23:07:32 -0300

jdupes (1.17.1-1) unstable; urgency=medium

  * New upstream version 1.17.1.
  * debian/copyright: updated because the upstream file called dedupe-static.h
    was renamed to linux-dedupe-static.h.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Jul 2020 22:47:33 -0300

jdupes (1.17.0-1) unstable; urgency=medium

  * New upstream version 1.17.0.
  * debian/control: removed no longer needed Provides, Conflicts, Replaces
    fields.
  * debian/source/include-binaries: created to list new binary files to be
    used for CI tests.
  * debian/tests/*: created new tests and improved some old tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 25 Jun 2020 13:24:50 -0300

jdupes (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0. (Closes: #866246)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 15 Jun 2020 14:10:33 -0300

jdupes (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/010_fix-FTBFS-Hurd.patch: removed.
    The upstream fixed the source code. Thanks!
  * debian/tests/control: added a break line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 25 May 2020 01:00:05 -0300

jdupes (1.14.0-3) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * Migrated DH level to 13.

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 30 Apr 2020 00:25:22 -0300

jdupes (1.14.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_fix-FTBFS-Hurd.patch: added to define PATH_MAX variable
    to fix a FTBFS in Hurd.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Jan 2020 09:50:11 -0300

jdupes (1.14.0-1) experimental; urgency=medium

  * New upstream version 1.14.0.
  * debian/copyright:
      - Added rights for Oracle from new file dedupe-static.h.
      - Updated copyright years for Adrian Lopez (data changed by upstream).
      - Using GitHub/issues address in Upstream-Contact field.
  * debian/rules:
      - Added STATIC_DEDUPE_H=1 to $OPTS (see INSTALL file in upstream place).
      - Changed from ENABLE_BTRFS=1 to ENABLE_DEDUPE=1 in $OPTS because it is
        the new name for the variable.
      - Split $OPTS to $OPT1 and $OPT2.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Dec 2019 00:57:29 -0300

jdupes (1.13.2-2) unstable; urgency=medium

  * debian/control:
      - Added Rules-Requires-Root: no to source stanza.
      - Bumped Standards-Version to 4.4.1.
      - Set Multi-Arch: foreign. Thanks to Helmut Grohne <helmut@subdivi.de>.
        (Closes: #941588)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 02 Oct 2019 14:24:32 -0300

jdupes (1.13.2-1) unstable; urgency=medium

  * New upstream version 1.13.2.
  * debian/control: bumped Standards-Version to 4.4.0.
  * debian/tests/control:
      - Added a new test using several options from jdupes.
      - Added a notice about testdir.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 05 Aug 2019 19:45:24 -0300

jdupes (1.13.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Jul 2019 00:27:06 -0300

jdupes (1.13.1-1) experimental; urgency=medium

  * New upstream version 1.13.1.
  * debian/copyright: updated upstream copyright years.
  * debian/docs: changed from README to README.md.
  * debian/README.Debian: fixed a typo.
  * debian/rules: added a new override to install
    files inside /usr dir instead of /usr/local place.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 28 Jun 2019 08:15:44 -0300

jdupes (1.12-1) unstable; urgency=medium

  * New upstream version 1.12.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 26 Feb 2019 11:42:47 -0300

jdupes (1.11.1-2) unstable; urgency=medium

  * debian/tests/control: added a new test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 28 Nov 2018 22:38:07 -0200

jdupes (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * debian/docs: removed no longer existent files OLD_CHANGES and
    OLD_CONTRIBUTORS.
  * debian/patches/10-disable_test.patch: removed in favor of an override add
    to debian/rules.
  * debian/rules: added override_dh_auto_test target as a substitute for the
    patch 10-disable_test.patch.
  * debian/tests/control: removed no longer needed redirection to stderr. The
    upstream fixed the source code. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 18 Nov 2018 21:09:54 -0200

jdupes (1.10.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/20-fix_manpage.patch: removed.
    The upstream fixed the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Sep 2018 23:04:56 -0300

jdupes (1.10.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/patches/20-fix_manpage.patch: added to fix a possible macro.
  * debian/tests/:
      - control:
          ~ Improved the test.
          ~ Removed unnecessary field Depends.
      - files/*: added to help improve the test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 07 Sep 2018 21:56:50 -0300

jdupes (1.10.2-1) unstable; urgency=medium

  * New upstream release.
  * Migrated DH level to 11.
  * debian/clean: no longer needed. Removed.
  * debian/control:
      - Bumped Standards-Version to 4.2.0.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/copyright:
      - Added rights for Yann Collet.
      - Updated upstream and packaging years.
  * debian/docs:
      - Added OLD_CHANGES and OLD_CONTRIBUTORS.
      - Removed no longer existent TODO.
  * debian/patches/10-disable_test.patch: created to disable a wrong test.
  * debian/tests: created to perform tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 20 Aug 2018 22:22:01 -0300

jdupes (1.9-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.1.1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 04 Dec 2017 17:49:32 -0200

jdupes (1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/clean: created to remove a file forgotten by the upstream.
  * debian/control: bumped Standards-Version to 4.0.0.
  * debian/copyright:
      - All upstream files are under MIT license now.
      - Updated the upstream copyright years.
  * debian/patches/10_fix-segfault.patch: removed. This patch was previously
    supplied by the upstream and it is already in 1.8 source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 20 Jul 2017 10:44:07 -0300

jdupes (1.7-2) unstable; urgency=medium

  * debian/patches/10_fix-segfault.patch: added to fix a segmentation fault in
    jdupes. (Closes: #854427)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Feb 2017 22:19:51 -0200

jdupes (1.7-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable. See the previous changelog for details.
    (Closes: #848360)
  * debian/patches/10_use-program-name-variable.patch: dropped. The upstream
    fixed the source code. Thanks!
  * debian/README.Debian: added a new information.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 03 Jan 2017 17:30:04 -0200

jdupes (1.6.2-4) experimental; urgency=medium

  * Using a single package again, as suggested by Christoph Anton Mitterer
    <calestyo@scientia.net>. It will solve #848360 when uploaded to Sid.
    Consequently:
      - Changed debian/rules to build with BTRFS when over Linux.
      - Removed debian/jdupes.install and debian/jdupes-btrfs.*
      - Renamed debian/jdupes.docs to debian/docs.
      - Renamed debian/README.source to debian/README.Debian. Updated all
        information.
  * debian/control:
      - Added a Conflicts, Provides and Replaces fields to uninstall any
        jdupes-btrfs from the system.
      - Improved the description.
      - Removed the package jdupes-btrfs.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/10_use-program-name-variable.patch.txt: a mistake. Removed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Jan 2017 19:52:54 -0200

jdupes (1.6.2-3) unstable; urgency=medium

  * debian/rules: added a condition to select when jdupes-btrfs will
    be built or not, fixing a FTBFS in Hurd/kFreeBSD-*. Thanks a lot
    to Aaron M. Ucko <ucko@debian.org>. (Closes: #848244)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 15 Dec 2016 14:05:21 -0200

jdupes (1.6.2-2) unstable; urgency=medium

  * Created a new binary: jdupes-btrfs. See debian/README.source in source code
    of this package for details. To create the new binary, the following files
    were created or changed:
      - debian/control (changed).
      - debian/docs: renamed to jdupes.docs and jdupes-btrfs.docs.
      - debian/jdupes-btrfs.install (created).
      - debian/jdupes-btrfs.manpages (created).
      - debian/jdupes.install (created).
      - debian/patches/10_use-program-name-variable.patch (created).
      - debian/README.source (created).
      - debian/rules (changed).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 14 Dec 2016 17:10:04 -0200

jdupes (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 03 Dec 2016 13:56:52 -0200

jdupes (1.6.1-1) UNRELEASED; urgency=medium

  * New upstream release. (Closes: #846255)
  * debian/control: improved the long description.
  * debian/copyright: updated to include some new rights.
  * debian/rules: added the DEB_CFLAGS_MAINT_APPEND variable
    to enable the support to BTRFS. (Closes: #846255)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 02 Dec 2016 21:33:27 -0200

jdupes (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable. Welcome to Debian!
  * debian/copyright: fixed a date about upstream source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 28 Nov 2016 09:31:20 -0200

jdupes (1.5.1-1) experimental; urgency=medium

  * New upstream release.
  * debian/watch: removed the opts line, no longer needed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Nov 2016 15:19:36 -0200

jdupes (1.5+git20161027.bc13175-1) experimental; urgency=medium

  * Initial release (Closes: #835554)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Oct 2016 09:30:35 -0200
